<?php

namespace App;

class AnswerQuestion extends Translatable
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable=[
        'question',
        'answer'
    ];
    /**
     * The attributes that are translatable
     *
     * @var array
     */
    protected $translatable=[
        'question',
        'answer'
    ];
    /**
     * This attribute function for returning the value of question.  => { question_val }
     * Used only at [ Show Mode ]
     *
     * @var String
     */
    public function getQuestionValAttribute()
    {
        return $this->attributes['question'] ? VarByLang(getData(collect($this),"question")) : 'N/A';
    }
    /**
     * This attribute function for returning the value of answer.  => { answer_val }
     * Used only at [ Show Mode ]
     *
     * @var String
     */
    public function getAnswerValAttribute()
    {
        return $this->attributes['answer'] ? VarByLang(getData(collect($this),"answer")) : 'N/A';
    }
}
