<?php

namespace App\Console\Commands;

use App\Notification;
use App\User;
use Illuminate\Console\Command;
use Illuminate\Database\Eloquent\Builder;

class NotifyPatientWithYourAppointmentCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'patient:reminder_booking';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Sending notification for patient that reminder you that there is today booking ';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $booking_date=date("Y-m-d");
        $users=User::whereHas('bookings',function (Builder $query) use($booking_date) {
            $query->where('appointment_date',$booking_date);
        })->get();
        $title="Dr.Ahmed Marzouk Clinic";
        $description="your appointment with Dr.Ahmed Marzouk Today please follow your turn through the mobile app and be there on time";
        foreach ($users as $user) {
            $notification=new Notification();
            $notification->title=$title;
            $notification->description=$description;
            $notification->user_id=$user->id;
            $notification->save();
            firebasePublish($user,
                ['title'=>$title,'body' =>$description,'image' => asset('images/app_logo.png'),],
                ['target' => 'notifications', 'target_id' => null]);
        }
    }
}
