<?php
namespace App\Helpers\Classes;

use Illuminate\Support\Collection;
use Auth;
class UserType{
    const admin = 'admin';
    const  receptionist= 'receptionist';
    const  doctor= 'doctor';

    public static function Text($type){
        switch ($type) {
            case self::admin:
                return __('Admin');
            break;
            case self::receptionist:
                return __('receptionist');
            break;
            case self::doctor:
                return __('doctor');
            break;
        }
    }

    public static function types():Collection{
        return collect([
            [
                'n'=>self::admin,
                'name'=>'admin'
            ],
            [
                'n'=>self::receptionist,
                'name'=>'receptionist'
            ],
            [
                'n'=>self::doctor,
                'name'=>'doctor'
            ],
        ]);
    }

    public static function keys():Array{
        return [
            self::admin=>__('main.admin'),
            self::receptionist=>__('main.receptionist'),
            self::doctor=>__('main.doctor'),
        ];
    }

    public static function check($types):bool{
        $userType = Auth::user()->type;

        $match= false;
        if(is_array($types)){
            foreach($types as $v){
                if($userType == $v){
                    $match=true;
                    break;
                }
            }
        }else{
            $match = $userType == $types;
        }

        return $match;
    }


    public static function prefix($type = false){
        if(!$type){
            $type = Auth::user()->type;
        }
        switch ($type) {

            case userType()::nursery:
                return config('system.admin.name');
                break;
            case userType()::admin:
                    return config('system.admin.name');
                    break;

            default:
                # code...
                break;
        }

        $match= false;
        if(is_array($types)){
            foreach($types as $v){
                if($userType == $v){
                    $match=true;
                    break;
                }
            }
        }else{
            $match = $userType == $types;
        }

        return $match;
    }
}
