<?php

namespace App\Http\Controllers\Admin\Resource;

use App\Events\SendNotificationEvent;
use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\SendNotificationRequest;
use Illuminate\Http\Request;

class SendNotificationController extends Controller
{
    /**
     * View Path.
     *
     * @var string
     */
    protected $viewPath = 'backend.send_notifications';

    /**
     * Resource Route.
     *
     * @var string
     */
    protected $resourceRoute = 'admin.send_notifications';


    public function create()
    {
        return view("{$this->viewPath}.create", [
            'title' => __('main.send_notification'),
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param Request $request
     * @return Response
     */
    public function store(SendNotificationRequest $request)
    {
        $data=$request->all();

        event(new SendNotificationEvent($data));

        return $this->apiResponse(true, true, 200);
    }

}
