<?php

namespace App\Http\Controllers\Admin\SAC;

use App\Clinic;
use App\Http\Controllers\Controller;
use App\Repositories\Contract\BookingRepository;
use Illuminate\Http\Request;

class ClinicReportPost extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Request $request,BookingRepository $repository)
    {
        $data_sum=$repository->instance()->where('Clinic_id',$request->clinic_id)
            ->where('appointment_date',$request->date)
            ->whereNotNull('attendance_at')
            ->get()->sum('paid_price');
        $clinic=Clinic::find($request->clinic_id);

        $data['total_fees']=$data_sum;
        $data['clinic']=$clinic?$clinic->name_val:"";
        $data['date']=$request->date;

        return $this->apiResponse($data,true,200);
    }
}
