<?php

namespace App\Http\Controllers\Admin\SAC;

use App\Http\Controllers\Controller;
use App\Repositories\Contract\BookingRepository;
use App\Repositories\Contract\ClinicRepository;
use Illuminate\Http\Request;

class GetAvailableClinicTime extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Request $requestm,$clinic_id,$day,$booking_id=null)
    {
        $appointment_day=$day;

        $clinicRepository = resolve(ClinicRepository::class);

        $bookingRepository=resolve(BookingRepository::class);

        $clinic_times=$clinicRepository->instance()->find($clinic_id)->workingDays()->where('day',$appointment_day)->get();

        $time_slot=GetSettingByKey('time_slot')??15;

        $times=[];
        $todayDay = date('l', strtotime(date("Y-m-d")));
        $date_looped="";
        if ($appointment_day == $todayDay) {
            $date_looped = date("Y-m-d");
        }
        else {
            $date_looped = date('Y-m-d', strtotime("next $appointment_day ", strtotime(date('Y-m-d'))));
        }
        foreach($clinic_times as$key=>$value){
                $starting_time=$value->from_time;
                while(count($times)==0) {
                    $starting_time=$value->from_time;
                    for ($starting_time;  $starting_time<= $value->to_time; $starting_time = date("H:i", strtotime('+' . $time_slot . ' minutes', strtotime($starting_time)))) {
                        $todayDay = date('l', strtotime(date("Y-m-d")));
                        if ($appointment_day == $todayDay) {
                            $appoint_ment = date('Y-m-d H:i', strtotime(date("Y-m-d",strtotime($date_looped)) . $starting_time));
                            if ($appoint_ment >= date("Y-m-d H:i")) {
                                $dayDate =$date_looped;
                            } else {
                                if($booking_id){
                                    $dayDate =$date_looped;
                                }
                                else {
                                    continue;
                                }
                            }
                        } else {
                            $dayDate = $date_looped;
                        }
                        $bookings_number = $bookingRepository->instance()->where('clinic_id', $clinic_id)
                                ->where('appointment_date', $dayDate)
                                ->where('appointment_time', $starting_time)
                                ->when($booking_id, function ($query) use ($booking_id) {
                                    return $query->where("id", '<>', $booking_id);
                                })
                                ->count() == 0;
                        if ($bookings_number) {
                            //dd($starting_time);
                            array_push($times, $starting_time);
                        }

                    }
                    $date_looped=date('Y-m-d', strtotime("+7 days ", strtotime($date_looped)));
                }
        }
        //start last code
        /*
        foreach($clinic_times as$key=>$value){
                while ($value->from_time <= $value->to_time) {
                    $todayDay = date('l', strtotime(date("Y-m-d")));
                    if ($appointment_day == $todayDay) {
                        $appoint_ment = date('Y-m-d H:i', strtotime(date("Y-m-d") . $value->from_time));
                        if ($appoint_ment <= date("Y-m-d H:i")) {
                            $dayDate = date("Y-m-d");
                        } else {
                            $dayDate = date('Y-m-d', strtotime("next $appointment_day ", strtotime(date('Y-m-d'))));
                        }
                    } else {
                        $dayDate = date('Y-m-d', strtotime("next $appointment_day ", strtotime(date('Y-m-d'))));
                    }
                    $bookings_number = $bookingRepository->instance()->where('clinic_id', $clinic_id)
                            ->where('appointment_date', $dayDate)
                            ->where('appointment_time', $value->from_time)
                            ->when($booking_id, function ($query) use ($booking_id) {
                                return $query->where("id", '<>', $booking_id);
                            })
                            ->count() == 0;
                    if ($bookings_number) {
                        array_push($times, $value->from_time);
                    }
                    $value->from_time = date("H:i", strtotime('+' . $time_slot . ' minutes', strtotime($value->from_time)));
                }
        }
        */
        //end last code

        $times=collect($times)->map(function($model){
            return[
                "id"=>$model,
                "text"=>$model
            ];
        });
        $date=$dayDate;
        return  $this->apiResponse(['times'=>$times,'date'=>$date]);
    }
}
