<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Requests\Api\BookingRequest;
use App\Http\Resources\BookingResource;
use App\Repositories\Contract\BookingRepository;
use Illuminate\Http\Request;

class BookingController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(BookingRepository $repository)
    {
        $data=$repository->instance()->where('patient_id',auth()->user()->id)->orderBy('id','desc')->paginate(15);

        $dataResource=BookingResource::collection($data);

        return $this->apiResponse($dataResource, true, 200);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(BookingRequest $request,BookingRepository $repository)
    {

        $data['slot_number']=$request->slot_number;

        $id=$request->booking_id;
        $slot_number=$request->slot_number;
        $appointment_date=$request->appointment_date;

        if($appointment_date == null || $slot_number == null || $id == null){
            return $this->apiResponse(__('main.faild_update'), true, 422);

        }

        $currentlyOnSlot = $repository->instance()->where('slot_number',$slot_number)->where('appointment_date',$appointment_date)->get();

            if(count($currentlyOnSlot) == 0){
                $update = $repository->instance()->where('id',$id)->where('patient_id',auth()->user()->id)->update($data);

                if (!$update) {
                    return $this->apiResponse(__('main.faild_update'), true, 422);
                }
                return $this->apiResponse(new BookingResource($repository->find($id)), true, 200);
            }else{
                return $this->apiResponse(__('main.already_reserved'), true, 422);
            }
            return $this->apiResponse(__('main.faild_update'), true, 422);

    }
}
