<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\BabyNameResource;
use App\Repositories\Contract\BabyNameRepository;
use Illuminate\Http\Request;

class GetBabyName extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Request $request,BabyNameRepository $repository)
    {
        $type=$request->type;

        $data=$repository->instance()->when($type,function ($query) use($type){
            return $query->where('type',$type);
        },function ($query) use($type){
            return $query->where('type','male');
        })->paginate(10);

        $dataResource=BabyNameResource::collection($data);

        return $this->apiResponse($dataResource);
    }

}
