<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\NewsResource;
use App\Repositories\Contract\NewsRepository;
use Illuminate\Http\Request;

class GetNewsController extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Repositories\Contract\NewsRepository
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Request $request,NewsRepository $repository)
    {
        $data=$repository->instance()->orderBy('id','desc')->paginate();

        $dataResource=NewsResource::collection($data);

        return $this->apiResponse($dataResource);
    }
}
