<?php

namespace App\Http\Controllers\Api;

use App\Booking;
use App\EnableAppointment;
use App\Http\Controllers\Controller;
use App\Http\Resources\ClinicByIdReseource;
use App\Http\Resources\HavingReservationResource;
use Illuminate\Http\Request;

class HavingReservation extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Request $request)
    {
        $enable_appointments=EnableAppointment::where('enabled_date','>=',date("Y-m-d"))->orderBy('enabled_date','asc')->first();
        if($enable_appointments){
        $exists_booking=Booking::where('appointment_date',$enable_appointments->enabled_date)->where('patient_id',auth()->user()->id)->exists();
            if($exists_booking){
                $booking=Booking::where('appointment_date',$enable_appointments->enabled_date)->where('patient_id',auth()->user()->id)->first();
                if($booking) {
                    //return $clinic;
                    $bookings=Booking::where('appointment_date',$enable_appointments->enabled_date)->where('clinic_id',$booking->clinic_id)->orderBy('slot_number','asc')->get();

                    $resources=HavingReservationResource::collection($bookings);

                    $day=date('l',strtotime($enable_appointments->enabled_date));

                    $clinic=new ClinicByIdReseource($booking->clinic);

                    $slots_per_hour=attribute('time_slot') && is_numeric(attribute('time_slot'))?intval(attribute('time_slot')):"";

                    return $this->apiResponse(['slots_per_hour'=>$slots_per_hour,'date'=>$enable_appointments->enabled_date,'day'=>$day,'clinic'=>$clinic,'bookings'=>$resources],true,200,[]);
                }
            }else{
                return $this->apiResponse([],true,200,[]);
            }
        }

            return $this->apiResponse([],true,200,[]);

    }
}
