<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Requests\Api\UpdateKicksRequest;
use App\Http\Resources\ChildrenResource;
use App\Repositories\Contract\ChildrenRepository;
use Illuminate\Http\Request;

class UpdateKicksController extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(UpdateKicksRequest $request,ChildrenRepository $repository)
    {
        $data=$request->all();

        $update = $repository->update($data['child_id'],['kicks'=>$data['kicks']]);

        if (!$update) {
            return $this->apiResponse(__('main.faild_update'), true, 422);
        }

        return $this->apiResponse(new ChildrenResource($update), true, 200);
    }
}
