<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

class AdminProfileRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            'name' => ['required', 'string', 'max:255'],
            'email' => 'required|unique:users,email,'.Auth::user()->id.',id',
            'phone' => 'required|unique:users,phone,'.Auth::user()->id.',id',
            'password' => 'sometimes|nullable|min:8|confirmed',
        ];

        return $rules;
    }

    public function attributes()
    {
        return [
            'name'  =>  trans('main.name'),
            'email'  =>  trans('main.email'),
            'phone'  =>  trans('main.phone'),
            'password'  =>  trans('main.password'),
        ];
    }
}
