<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class ApplicationSettingsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            "name.ar" => [
                "required",
                "min:3",
                "max:45",
            ],
            "name.en" => [
                "required",
                "min:3",
                "max:45",
                "regex:/(^([a-zA-Z0-9\s]+)(\d+)?$)/u"
            ],
            /*
            "keywords.ar"  => [
                "required",
                "min:3",
                "max:45",
            ],
            "keywords.en"  => [
                "required",
                "min:3",
                "max:45",
                "regex:/(^([a-zA-Z0-9,\s]+)(\d+)?$)/u"
            ],
            */
            "email" => [
                "sometimes",
                'nullable',
                "string",
                "email",
                "max:255"
            ],
            "mobile" => [
                "sometimes",
                'nullable',
                "min:11",
                "max:11",
                "regex:/^[0-9]+$/"
            ],
            "facebook" => [
                "sometimes",
                'nullable',
                "url",
            ],
            "twitter" => [
                "sometimes",
                'nullable',
                "url",
            ],
            "linkedin" => [
                "sometimes",
                'nullable',
                "url",
            ],
            "logo" => [
               // 'image'
            ],
            "icon" => [
                //'image'
            ],
        ];
        return $rules;
    }

    /**
     * Get custom attributes for validator errors.
     *
     * @return array
     */
    public function attributes()
    {
        return [

            "name.ar"                 => __("main.ar") .' '. __("main.name"),
            "name.en"                 => __("main.en") .' '. __("main.name"),
            "keywords.ar"             => __("main.ar") .' '. __("main.keywords"),
            "keywords.en"             => __("main.en") .' '. __("main.keywords"),
            "email"                   => __("main.email"),
            "phone"                   => __("main.phone"),
            "mobile"                  => __("main.mobile"),
            "facebook"                => __("main.facebook"),
            "twitter"                 => __("main.twitter"),
            "linkedin"                => __("main.linkedin"),
            "address.ar"              => __("main.ar") .' '. __("main.address"),
            "address.en"              => __("main.en") .' '. __("main.address"),
        ];
    }
}
