<?php

namespace App\Http\Requests\Admin;

use App\Rules\Admin\AppointmentTime;
use App\Rules\Admin\BookingAppointmentTime;
use Illuminate\Foundation\Http\FormRequest;

class BookingRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules= [
            'patient_id'=>['required_if:booking_before,true'],
            'name'=>['required_if:booking_before,false'],
            'phone'=>['required_if:booking_before,false'],
            //'location_id'=>['required_if:booking_before,false'],
            'clinic_id'=>['required','exists:clinics,id'],
            'appointment_date'=>['required','date','after_or_equal:today'],
            //'patient_type_id'=>'required|exists:patient_types,id',
            //'price'=>'required',
            'new_price'=>'required_if:discount_added,true',
            'comments'=>['sometimes','nullable'],
        ];
        /*
        if (($this->method() == 'PATCH' || $this->method() == 'PUT') && request()->filled('patient_id')) {

        }
        */
        return $rules;
    }
    /**
     * Get custom attributes for validator errors.
     *
     * @return array
     */
    public function attributes()
    {
        return[
            'patient_id'=>__('main.patient'),
            'name'=>__('main.name'),
            'phone'=>__('main.phone'),
            'secondary_phone'=>__('main.secondary_phone'),
            'status'=>__('main.status'),
            'location_id'=>__('main.location'),
            'clinic_id'=>__('main.clinic'),
            'appointment_day'=>__('main.appointment_day'),
            'appointment_time'=>__('main.appointment_time'),
            'comments'=>__('main.comments')
        ];
    }
}
