<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class SendNotificationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        //dd(request()->all());
        return [
            'description'=>['required'],
            'to'=>['required','in:patient,patient_type,location,booking_date'],
            'users' => ['sometimes','nullable','required_if:to,patient', 'array'],
            'users.*' => ['sometimes','nullable','required_if:to,==,patient', 'exists:users,id'],
            'location'=>['sometimes','nullable','required_if:to,==,location', 'exists:locations,id'],
            'patient_type'=>['sometimes','nullable','required_if:to,==,patient_type', 'exists:patient_types,id']
        ];
    }
    /**
     * Get custom attributes for validator errors.
     *
     * @return array
     */
    public function attributes()
    {
        return[
            'description'=>__('main.description'),
            'users'=>__('main.users'),
            'to'=>__('main.to'),
            'location'=>__('main.location'),
            'patient_type'=>__('main.patient_type'),
        ];
    }
}
