<?php

namespace App\Http\Requests\Api;

use App\Rules\Admin\AppointmentTime;
use App\Rules\Admin\BookingAppointmentTime;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class BookingRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules= [
            'booking_id'=>['required','exists:bookings,id'],
        ];
        return $rules;
    }
    /**
     * Get custom attributes for validator errors.
     *
     * @return array
     */
    public function attributes()
    {
        return[
            'booking_id'=>__('main.booking'),
        ];
    }
}
