<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class MotherNotificationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'mother_dates'=>['required','array'],
            'mother_dates.*.mother_date'=>['required','date','date_format:Y-m-d'],
            'mother_dates.*.month'=>['required','in:1,2,3,4,5,6,7,8,9'],
        ];
    }
}
