<?php

namespace App\Listeners;

use App\Events\SendNotificationBookingStatusEvent;
use App\User;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;

class SendNotificationBookingStatusListner implements ShouldQueue
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  SendNotificationBookingStatusEvent  $event
     * @return void
     */
    public function handle(SendNotificationBookingStatusEvent $event)
    {
        $bookings=$event->data;

        foreach ($bookings as $booking) {
            $title=['ar'=>"عيادة دكتور مرزوق",'en'=>'Dr. Ahmed Marzouk Clinic'];
            $description=['ar'=>'load_page_agin','en'=>'load_page_again'];
            firebasePublish($booking->patient,
                ['target' => 'notifications', 'target_id' => null],
                ['title'=>$title,'body' =>$description,'image' => asset('images/app_logo.png'),]);
        }
    }
}
