<?php

namespace App\Listeners;

use App\Booking;
use App\Events\SendNotificationEvent;
use App\Notification;
use App\User;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Queue\InteractsWithQueue;

class SendNotificationListner implements ShouldQueue
{
    use InteractsWithQueue;
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  SendNotificationEvent  $event
     * @return void
     */
    public function handle(SendNotificationEvent $event)
    {
        if($event->data['to']=='patient'){
            $users=$event->data['users'];

            foreach ($users as $user) {
                $userObject=User::find($user);
                $notification=new Notification();
                $notification->title=$event->data['title'];
                $notification->description=$event->data['description'];
                $notification->user_id=$userObject->id;
                $notification->save();
                firebasePublish($user,
                    ['title'=>$event->data['title'],'body' =>$event->data['description'],'image' => asset('images/app_logo.png'),],
                    ['target' => 'notifications', 'target_id' => null]);
            }
        }elseif ($event->data['to']=='patient_type'){
            $patient_type=$event->data['patient_type'];
            $users=User::whereHas('bookings',function (Builder $query) use($patient_type) {
                $query->where('patient_type_id',$patient_type);
            })->get();
            foreach ($users as $user) {
                $notification=new Notification();
                $notification->title=$event->data['title'];
                $notification->description=$event->data['description'];
                $notification->user_id=$user->id;
                $notification->save();
                firebasePublish($user,
                    ['title'=>$event->data['title'],'body' =>$event->data['description'],'image' => asset('images/app_logo.png'),],
                    ['target' => 'notifications', 'target_id' => null]);
            }
        }elseif ($event->data['to']=='location'){
            $location=$event->data['location'];
            $users=User::whereHas('bookings',function (Builder $query) use($location) {
                $query->where('location_id',$location);
            })->get();
            foreach ($users as $user) {
                $notification=new Notification();
                $notification->title=$event->data['title'];
                $notification->description=$event->data['description'];
                $notification->user_id=$user->id;
                $notification->save();
                firebasePublish($user,
                    ['title'=>$event->data['title'],'body' =>$event->data['description'],'image' => asset('images/app_logo.png'),],
                    ['target' => 'notifications', 'target_id' => null]);
            }
        }elseif ($event->data['to']=='booking_date'){
            $booking_date=$event->data['booking_date'];
            $users=User::whereHas('bookings',function (Builder $query) use($booking_date) {
                $query->where('appointment_date',$booking_date);
            })->get();
            foreach ($users as $user) {
                $notification=new Notification();
                $notification->title=$event->data['title'];
                $notification->description=$event->data['description'];
                $notification->user_id=$user->id;
                $notification->save();
                firebasePublish($user,
                    ['title'=>$event->data['title'],'body' =>$event->data['description'],'image' => asset('images/app_logo.png'),],
                    ['target' => 'notifications', 'target_id' => null]);
            }
        }
    }
}
