<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Locations extends Translatable
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable=[
        'name',
    ];
    /**
     * The attributes that are translatable
     *
     * @var array
     */
    protected $translatable=[
        'name',
    ];
    /**
     * This attribute function for returning the value of Name.  => { name_val }
     * Used only at [ Show Mode ]
     *
     * @var String
     */
    public function getNameValAttribute()
    {
        return $this->attributes['name'] ? VarByLang(getData(collect($this),"name")) : 'N/A';
    }
}
