<?php

namespace App\Providers;

use App\Repositories\Contract\BookingRepository;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        View::composer('backend.home._partials.scripts',function ($view){
            $bookingRepository=resolve(BookingRepository::class);
            $view->with([ "all_data"  =>$bookingRepository->instance()->groupBy('appointment_date')->select('appointment_date')->get()]);
        });
    }
}
