<?php

namespace App\Repositories\Abstracts;;

use Illuminate\Support\Collection;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Pagination\LengthAwarePaginator;

interface RepositoryInterface
{
    public function all(): Collection;

    public function find(int $id): Model;

    public function firstOrFail(string $key, int $value);

    public function findMany(array $ids): Collection;

    public function findWhere(string $column, string $value): Collection;

    public function findWhereFirst(string $column, string $value);

    public function paginate(int $limit = 10): LengthAwarePaginator;

    public function create(array $data): Model;

    public function update(int $id, array $data): Model;

    public function delete(int $id): bool;
}
