<?php

namespace App\Repositories\Eloquent;

use App\Booking;
use App\Repositories\Abstracts\RepositoryAbstract;
use App\Repositories\Contract\BookingRepository;
use Illuminate\Database\Eloquent\Model;

class EloquentBookingRepository extends RepositoryAbstract implements BookingRepository
{
    /**
     * @inheritDoc
     */
    public function entity(): string
    {
        return Booking::class;
    }
    /**
     * Create New Entity.
     *
     * @param  array $data
     * @return Model
     */
    public function create(array $data) : Model
    {
        if(isset($data['discount_added'])){
            $data['paid_price']=$data['discount_added']?$data['new_price']:$data['price'];
        }
        return Parent::create($data);
    }
    /**
     * Update Entity.
     *
     * @param  integer $id
     * @param  array   $data
     * @return Model
     */
    public function update(int $id, array $data): Model
    {
        if(isset($data['discount_added'])){
            $data['paid_price']=$data['discount_added']?$data['new_price']:$data['price'];
        }
        $entity= parent::update($id, $data);
        return $entity;
    }
}
