<?php

namespace App\Repositories\Eloquent;

use App\HospitalBagList;
use App\HospitalBagListProcess;
use App\Repositories\Abstracts\RepositoryAbstract;
use App\Repositories\Contract\HospitalBagListRepository;
use Illuminate\Database\Eloquent\Model;

class EloquentHospitalBagListRepository extends RepositoryAbstract implements HospitalBagListRepository
{
    /**
     * @inheritDoc
     */
    public function entity(): string
    {
        return HospitalBagList::class;
    }
    /**
     * Create New Entity.
     *
     * @param  array $data
     * @return Model
     */
    public function create(array $data) : Model
    {
        $entity=Parent::create($data);

        if(isset($data['prequests'])){

            foreach ($data['prequests'] as$key=>$value){
                $entity->prequests()->create($value);
            }
        }

        return $entity;
    }
    /**
     * Update Entity.
     *
     * @param  integer $id
     * @param  array   $data
     * @return Model
     */
    public function update(int $id, array $data): Model
    {
        $data['name']=$data['name'];

        $entity= parent::update($id, $data);

        $entity->prequests()->delete();

        if(isset($data['prequests'])){

            foreach ($data['prequests'] as$key=>$value){
                $entity->prequests()->create($value);
            }
        }

        return $entity;
    }
}
