<?php

namespace App\Repositories\Eloquent;

use App\news;
use App\Repositories\Abstracts\RepositoryAbstract;
use App\Repositories\Contract\NewsRepository;
use Illuminate\Database\Eloquent\Model;

class EloquentNewsRepository extends RepositoryAbstract implements NewsRepository
{
    /**
     * @inheritDoc
     */
    public function entity(): string
    {
        return news::class;
    }
    /**
     * Create New Entity.
     *
     * @param  array $data
     * @return Model
     */
    public function create(array $data) : Model
    {
        $entity=Parent::create($data);

        if(isset($data['news_urls'])){
            foreach ($data['news_urls'] as$key=>$value){
                $value=array_filter($value);
                if($value){
                    $entity->newsUrls()->create($value);
                }
            }
        }
        if(isset($data['news_videos'])){
            $data['news_videos']=array_filter($data['news_videos']);
            foreach ($data['news_videos'] as$key=>$value){
                $value=array_filter($value);
                if($value){
                    $entity->newsVideos()->create($value);
                }
            }
        }
        return $entity;
    }
    /**
     * Update Entity.
     *
     * @param  integer $id
     * @param  array   $data
     * @return Model
     */
    public function update(int $id, array $data): Model
    {
        $entity= parent::update($id, $data);
        if(isset($data['news_urls'])){
            $entity->newsUrls()->delete();
            foreach ($data['news_urls'] as$key=>$value){
                $entity->newsUrls()->create($value);
            }
        }
        if(isset($data['news_videos'])){
            $entity->newsVideos()->delete();
            foreach ($data['news_videos'] as$key=>$value){
                $entity->newsVideos()->create($value);
            }
        }
        return $entity;
    }
}
