<?php

namespace App\Rules\Admin;

use App\Clinic;
use App\Repositories\Contract\ClinicRepository;
use Illuminate\Contracts\Validation\Rule;

class AppointmentTime implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        $clinic_id=request()->clinic_id;
        $appointment_day=request()->appointment_day;
        $appointment_time=request()->appointment_time;
        $clinicRepository = resolve(ClinicRepository::class);

        return $clinicRepository->instance()->find($clinic_id)->workingDays()->where('day',$appointment_day)
             ->where('from_time','<=',$appointment_time)
             ->where('to_time','>=',$appointment_time)->count()>0;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return __('main.appointment_time_must_available_in_day');
    }
}
