<?php

namespace App\Rules\Admin;

use App\Repositories\Contract\BookingRepository;
use Illuminate\Contracts\Validation\Rule;

class BookingAppointmentTime implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        $clinic_id=request()->clinic_id;
        $appointment_time=request()->appointment_time;
        $appointment_date=request()->appointment_date;

        $bookingRepository = resolve(BookingRepository::class);
        return $bookingRepository->instance()->where('clinic_id',$clinic_id)
                //->where('appointment_day',$appointment_day)
                ->where('appointment_date',$appointment_date)
                ->where('appointment_time',$appointment_time)
                ->count()==0;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
       return __('main.appointment_booked_before');
    }
}
