<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSomeFieldsToUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string("date_of_birth")->after("phone")->nullable();
            $table->string("nationality")->after("date_of_birth")->nullable();
            $table->integer("location_id")->after("nationality")->unsigned()->nullable();
            $table->integer("occupation_id")->after("location_id")->unsigned()->nullable();
            $table->text("notes")->after("occupation_id")->nullable();
            $table->enum("type",['admin','patient','receptionist','doctor','user'])->after("notes")->nullable();
            $table->foreign('location_id')->references('id')->on('locations')->onDelete('set null');
            //$table->foreign('occupation_id')->references('id')->on('occupations')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            //
        });
    }
}
