<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOperationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('operations', function (Blueprint $table) {
            $table->increments("id");
            $table->unsignedBigInteger("patient_id")->nullable();
            $table->string("location")->nullable();
            $table->string("operation_date")->nullable();
            $table->string("operation_time")->nullable();
            $table->string("operation_fees")->nullable();
            $table->text("notes")->nullable();
            $table->foreign("patient_id")->references("id")->on("users")->onDelete("set null");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('operations');
    }
}
