@extends('backend.layout.app')

@section('sub_header')
    @component('backend.layout.components.sub-header')

        @slot('title')
            {{  $title }}
        @endslot
        <a href="#" class="kt-subheader__breadcrumbs-home"><i class="flaticon2-shelter"></i></a>
        <span class="kt-subheader__breadcrumbs-separator"></span>
        <a href="{{ route('admin.attendance_statuses.index') }}" class="kt-subheader__breadcrumbs-link">
            {{ __('main.attendance_statuses') }}
        </a>
        @slot('toolbar')
            <li class="kt-nav__item">
                <a href="{{ route('admin.attendance_statuses.edit', [$show->id]) }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-edit"></i>
                    <span class="kt-nav__link-text">{{ __('main.edit') }} {{ __('main.attendance_status') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.attendance_statuses.index') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-list-2"></i>
                    <span class="kt-nav__link-text">{{ __('main.show-all') }} {{ __('main.attendance_statuses') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.attendance_statuses.create') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-add"></i>
                    <span class="kt-nav__link-text">{{ __('main.add_new') }} {{ __('main.attendance_status') }}</span>
                </a>
            </li>
        @endslot
    @endcomponent
@endsection

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="kt-portlet kt-portlet--mobile">
                <div class="kt-portlet__head">
                    <div class="kt-portlet__head-label">
                        <h3 class="kt-portlet__head-title">
                            {{ $title }}
                        </h3>
                    </div>
                </div>
                <div class="kt-portlet__body">
                    <div class="row">
                        <div class="col-md-6">
                            <strong>{{ __('main.name') }} : </strong>
                            {{ $show->name_val }}
                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong>{{ __('main.mark_as_adefault') }}: </strong>
                            {{ $show->mark_as_adefault?trans('main.true'):trans('main.false')}}
                            <hr>
                        </div>
                    </div>
                    @if($show->color)
                        <div class="row">
                            <div class="col-md-6">
                                <strong>{{ __('main.color') }} : </strong>
                                <p style="width: 50px; height: 20px; background-color:{{$show->color}}"></p>
                                <hr>
                            </div>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
@endsection
