<script>
    // convert services into an array
    var vue = new Vue({
        el: '#kt_page_portlet',
        data: {
            fData: {
                name: '{{ getData($data, 'name') }}',
                phone: '{{ getData($data, 'phone') }}',
                secondary_phone: '{{ getData($data, 'secondary_phone') }}',
                status: '{{ getData($data, 'status') }}',
                location_id: '{{ getData($data, 'location_id') }}',
                agent_id: '{{ getData($data, 'location_id')??auth()->user()->id }}',
                clinic_id:'{{getData($data,'clinic_id')}}',
                comments: '{{ getData($data, 'comments') }}',
                appointment_day: '{{ getData($data, 'appointment_day') }}',
                appointment_time: '{{ getData($data, 'appointment_time') }}',
                appointment_date:'{{getData($data,'appointment_date')}}',
                patient_type_id:'{{getData($data,'patient_type_id')}}',
                patient_id:'{{ getData($data, 'patient_id') }}',
                price:'{{ getData($data, 'price') }}',
                new_price:'{{ getData($data, 'new_price') }}',
                attendance_status_id:'{{getData($data,'attendance_status_id')}}',
                attendance:'{{ getData($data, 'attendance') }}'==1?true:false,
                discount_added:'{{ getData($data, 'discount_added') }}'==1?true:false,
                booking_before:false,
                occupation_id:"",
                @if ($action == 'edit')
                    _method: 'PATCH',
                @endif
            },
            locations:[],
            clinics:[],
            days:[],
            times:[],
            patient_types:[],
            attendance_statuses:[],
            patients:[],
            isLoading: false,
            isLoadingGoogle:false,
            validation_errors: [],
            is_required:false
        },
        mounted:function(){
            this.initSettings()
        },
        methods: {
            initSettings (type = '') {
                @if ($action == 'edit')
                    this.fData.booking_before=true;
                @endif
                axios.get('{{ route('admin.locations.all') }}').then((res) => {
                    this.locations = res.data.payload;
                });
                axios.get('{{ route('admin.clinics.all') }}').then((res) => {
                    this.clinics = res.data.payload;
                });
                axios.get('{{ route('admin.attendance_statuses.all') }}').then((res) => {
                    this.attendance_statuses = res.data.payload;
                });
                axios.get('{{ route('admin.patients.all') }}').then((res) => {
                    this.patients = res.data.payload;
                });
                if(this.fData.clinic_id){
                    //this.getClinicsTime();
                    //console.log("fhfhhf")
                    this.getClinicPatientTypes();
                }
                if(this.fData.appointment_day){
                    //this.getAppointmentAvailable();
                }
            },
            {{--
            getAppointmentAvailable(){
                let clinic_id=this.fData.clinic_id;
                let day=this.fData.appointment_day;
                let url="";
                @if(request()->booking)
                    url='{{ aurl('/get_clinic_appointments_available/') }}/'+clinic_id+'/'+day+'/'+'{{request()->booking}}';
                @else
                    url='{{ aurl('/get_clinic_appointments_available/') }}/'+clinic_id+'/'+day
                @endif
                axios.get(url).then((res) => {
                    this.times = res.data.payload.times;
                    this.fData.appointment_date=res.data.payload.date;
                });
            },
            getClinicsTime(){
                let clinic_id=this.fData.clinic_id;
                axios.get('{{ aurl('/get_clinic_times/') }}/'+clinic_id).then((res) => {
                    this.days = res.data.payload;
                });
                this.getClinicPatientTypes()

            },
            --}}
            getClinicPatientTypes(){
                let clinic_id=this.fData.clinic_id;
                axios.get('{{ aurl('/get_clinic_types/') }}/'+clinic_id).then((res) => {
                    this.patient_types = res.data.payload;
                });

            },
            getPateintTypes(){
                if(this.fData.clinic_id){
                    //this.getClinicsTime();
                    console.log("fhfhhf")
                    this.getClinicPatientTypes();
                }
            },
            getClinicPatientTypePrice(){
                let clinic_id=this.fData.clinic_id;
                let patient_type_id=this.fData.patient_type_id
                axios.get('{{ aurl('/get_clinic_patient_type_price/') }}/'+clinic_id+"/"+patient_type_id).then((res) => {
                    this.fData.price = res.data.payload;
                });
            },
            addNewPrice(){
                this.fData.discount_added=!this.fData.discount_added
                this.fData.new_price='';
            },
            send (status = '') {
                this.$validator.validateAll().then((result) => {
                    if (result) {
                        this.submitForm(status);
                    }
                });
            },
            submitForm (status) {
                this.isLoading = true;
                $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand kt-spinner kt-spinner--right kt-spinner--sm kt-spinner--light").attr("disabled", this.isLoading);
                this.Save(status)
            },
            Save(status){

                axios.post('{{ $submitUrl }}', this.fData).then((res) => {

                    if (res.data.success) {
                        swal.fire("{{ __('main.success') }}", "{{ __('main.' . ($action == 'create' ? 'added-message' : 'updated-message')) }}", "success");

                        if (status == '') {
                            var url = '{{ route("admin.bookings.show", ":id") }}';
                            url = url.replace(':id', res.data.payload.id);
                            setTimeout(() => {
                                window.location = url;
                            }, 1000)
                        } else if (status == "continue") {
                            setTimeout(() => {
                                window.location = "{{ route("admin.bookings.create") }}";
                            }, 1000)
                        } else {
                            setTimeout(() => {
                                window.location = "{{ route("admin.bookings.index") }}";
                            }, 1000)
                        }
                    }
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                }).catch(error => {
                    if(error.response.data["payload"] == "main.client_already_exist"){
                        swal.fire("Patient already exist", "Please enable ( Booking Before ) and select patient", "error");
                    }else if(error.response.data["payload"] == "main.have_future_appointments"){
                        swal.fire("Patient have future appointment", "This patient already have an appointment on the future", "error");
                    }else{
                        swal.fire("Error occurred", error.response.data["payload"], "error");
                    }

                    this.validation_errors = Helpers.appendValidationErrors(error.response.data, this);
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                });
            }
        },
    });
</script>
