@extends('backend.layout.app')

@section('sub_header')
    @component('backend.layout.components.sub-header')
        @slot('title')
            {{ $title }}
        @endslot

        <a href="#" class="kt-subheader__breadcrumbs-home"><i class="flaticon2-shelter"></i></a>
        <span class="kt-subheader__breadcrumbs-separator"></span>
        <a href="{{ route('admin.clinic_report.index') }}" class="kt-subheader__breadcrumbs-link">
            {{ __('main.clinic_report') }}
        </a>
        <span class="kt-subheader__breadcrumbs-separator"></span>
        <a href="#" class="kt-subheader__breadcrumbs-link">
             {{ __('main.clinic_report') }}
        </a>

        @slot('toolbar')
            <li class="kt-nav__item">
                <a href="{{ route('admin.clinic_report.index') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-list-2"></i>
                    <span class="kt-nav__link-text">{{ __('main.clinic_report') }}</span>
                </a>
            </li>
        @endslot
    @endcomponent
@endsection

@section('content')
    @component('backend.layout.components.form-portlet_search')
        @slot('title')
            {{ $title }}
        @endslot
        <div class="row">
            <div class="col-xl-2"></div>
            <div class="col-xl-8">
                @include('backend.clinic_report._partials._fields', [
                    'data' => collect(old()),
                    'action' => 'create',
                ])
            </div>
            <div class="col-xl-2"></div>
        </div>
    @endcomponent
@endsection

@section('js_scripts')
    @include('backend.clinic_report._partials._scripts', [
        'action' => 'create',
        'data' => collect(old()),
        'submitUrl' => route('admin.get.clinic_report.post'),
    ])
@endsection
