@include('backend.layout.globals.vue_validation')

<div class="kt-section kt-section--last" :class="{'kt-section--first': !(validation_errors.length > 0)}">
    <div class="kt-section__body">
        <form-group-input-text v-model="fData.name[lang]" v-for="lang in $languages" :name="'name-' + lang" label_class="col-2" input_class="col-9" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'{{ __("main.name") }}' + ' (' + lang + ')'"></form-group-input-text>
        <div class="kt-separator kt-separator--border-dashed kt-separator--space-md"></div>
        <div class="form-group row validated">
            <div class="col-4">
            </div>
            <div  class="col-2">
                <button type="button" @click="addOtherMeta('prequests')" class="btn btn-block btn-success btn-elevate">
                    {{trans('main.prequests')}} <span class="la la-plus"></span>
                </button>
            </div>
        </div>
        <template v-for="(meta, index) in fData.prequests">
            <div class="form-group row validated">
                <label class="col-2 col-form-label required" v-text="'{{ __("main.prequest") }}'"></label>
                <input-component input_type="text" data-vv-as="{{ __("main.prequest") }}" input_class="col-9" :name="'name-' + index" v-model="meta.name" :is_required="true" v-validate="'required'" :trans="'{{ __("main.prequest") }}'" :form_errors="errors"></input-component>
                <div  class="col-1">
                    <button type="button" @click="deleteOtherMeta('prequests', index)" class="btn btn-block btn-danger btn-elevate">
                        <span class="la la-trash"></span>
                    </button>
                </div>
            </div><!-- name -->

            <div class="kt-separator kt-separator--border-dashed kt-separator--space-md"></div>
        </template>

    </div>
</div>
