<script src="{{ asset('backend_additional/shared/js/ion.sound.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('backend_additional/shared/js/ib4stream.js') }}" type="text/javascript"></script>

<script type="text/javascript">
    window.options = {
        url: "{{ config('ib4stream.wss_url') }}",
        appId: "{{ config('ib4stream.app_id') }}"
    }

    ion.sound({
        sounds: [
            {name: "deduction"},
        ],

        // main config
        path: "/sounds/",
        preload: true,
        multiplay: true,
        volume: 1
    });

    var vm = new Vue({
        el: '#kt_header',
        data: {
            unread: [],
            read: [],
            all_notifications: [],
            count_unread: 0,
        },
        mounted () {
            //console.log("fkfkf");
            //this.initWebsocketSubscribe();

            setTimeout(() => {
                this.getNotifications()
            }, 1000);
        },
        methods: {
            getNotifications () {
                axios.get("{{route('admin.all_notifications')}}").then((res) => {
                    this.unread = res.data.payload.unread;
                    this.read = res.data.payload.read;
                    this.all_notifications = res.data.payload.all_notifications;
                    this.count_unread = res.data.payload.count_unread;
                    //console.log("notifications is ",this.all_notifications);
                });
            },
            initWebsocketSubscribe () {
                Ib4stream(options, (os) => {
                    os.subscribe("leads-assigned-to-1", (data) => {
                        console.log("here didid");
                        ion.sound.play("deduction");

                        let $data = JSON.parse(data);

                        toastr.success("You Have " + $data.count + " Leads Assigned From " + $data.assigner, "Assigned Leads Notification");

                        this.createDesktopNotification(
                            "New Lead Assigned",
                            "You Have " + $data.count + " Leads Assigned From " + $data.assigner,
                        );

                        this.getNotifications()
                    });

                    os.subscribe("inventories-assigned-to-{{ auth()->user()->id }}", (data) => {
                        ion.sound.play("deduction");

                        let $data = JSON.parse(data);

                        toastr.success("You Have " + $data.count + " Inventories Assigned From " + $data.assigner, "Assigned Inventories Notification");

                        this.createDesktopNotification(
                            "New Inventory Assigned",
                            "You Have " + $data.count + " Inventory Assigned From " + $data.assigner,
                        );

                        this.getNotifications()
                    });

                    os.subscribe("new-notification-{{ auth()->user()->id }}", (data) => {
                        ion.sound.play("deduction");

                        let $data = JSON.parse(data);

                        toastr.success($data.message);

                        this.createDesktopNotification($data.message);

                        this.getNotifications()
                    });
                });
            },
            markAsRead(n) {
                axios.post('{{ route('admin.read.user.notifications') }}', n).then((res) => {
                    this.unread = res.data.payload.unread;
                    this.read = res.data.payload.read;
                    this.all_notifications = res.data.payload.all_notifications;
                    this.count_unread = res.data.payload.count_unread;
                });
            },
        },
    });
</script>
