@include('backend.layout.globals.vue_validation')

<div class="kt-section kt-section--last" :class="{'kt-section--first': !(validation_errors.length > 0)}">
    <div class="kt-section__body">
        <form-wizard @on-complete="send()" ref="wizard" title="" subtitle="" activateAll='true' back-button-text="{{ __('main.back') }}" next-button-text="{{ __('main.next') }}" finish-button-text="{{ __('main.save') }}" color="#34495e">
            <tab-content title="{{ __('main.info') }}" icon="fa fa-info">

                <form-group-input-text v-model="fData.title[lang]" v-for="lang in $languages" :name="'title-' + lang" label_class="col-2" input_class="col-10" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'{{ __("main.title") }}' + ' (' + lang + ')'"></form-group-input-text>

                <div class="form-group row validated" v-for="lang in $languages">
                    <label class="col-2 col-form-label required" :for="'description-' + lang">{{ __('main.description') }} (@{{ lang }})</label>
                    <div class="col-10">
                        <textarea v-model="fData.description[lang]" :name="'description-' + lang" class="form-control" placeholder="{{ __('main.description') }}" data-vv-as="{{ __('main.description') }}" :form_errors="errors" :id="'description-' + lang"></textarea>
                        <span v-if="errors.has('description-' + lang)" class="invalid-feedback">
                            @{{ errors.first('description-' + lang) }}
                        </span>
                    </div>
                </div><!-- Description -->
                <div class="form-group row" :class="{'validated' : errors.has('image')}">
                    <label class="col-2 col-form-label">{{ __('main.image') }}</label>
                    <div class="col-lg-10">
                        <div class="kt-avatar kt-avatar--outline" id="kt_user_avatar_4">
                            <div class="kt-avatar__holder" :style="'background-image:url({{asset('/'.'storage')}}/'+fData.image+')'"></div>
                            <label class="kt-avatar__upload" data-toggle="kt-tooltip" data-original-title="{{trans('main.image')}}">
                                <i class="fa fa-pen"></i>
                                <input id='image' type="file" name="image" class="form-control" :class="{'is-invalid' : errors.has('image')}" data-vv-as="{{ __('main.image') }}" ref="image" placeholder="{{ __('main.image') }}" accept=".png, .jpg, .jpeg">
                            </label>
                        </div>
                        <span class="form-text text-muted">{{ __('main.image') }}</span>
                        <span class="form-text text-muted">{{ __('main.allowed_extensions') }}: .png, .jpg, .jpeg, .svg</span>
                    </div>
                </div>
            </tab-content><!-- info -->

            <tab-content title="{{ __('main.news_urls') }}" icon="flaticon-web">
                <div class="form-group row validated" v-for="(meta, index) in fData.news_urls">
                    <input-component  v-model="meta.url" :name="'url'+index"   input_type="text"   input_class="col-9" :form_errors="errors" :trans="'{{ __("main.url") }}'"></input-component>

                    <div v-if='index ==0' class="col-1">
                        <button type="button" @click="addOtherMeta('news_urls')" class="btn btn-block btn-success btn-elevate">
                            <span class="la la-plus"></span>
                        </button>
                    </div><i class="fa "></i>
                    <div v-if='index !=0'  class="col-1">
                        <button type="button" @click="deleteOtherMeta('news_urls', index)" class="btn btn-block btn-danger btn-elevate">
                            <span class="la la-trash"></span>
                        </button>
                    </div>
                </div><!-- news_urls -->
            </tab-content><!-- news_urls -->

            <tab-content title="{{ __('main.news_videos') }}" icon="fa fa-video">
                <div class="form-group row validated" v-for="(meta, index) in fData.news_videos">
                    <input-component  v-model="meta.url" :name="'url'+index"   input_type="text"   input_class="col-9" :form_errors="errors" :trans="'{{ __("main.url") }}'"></input-component>

                    <div v-if='index ==0' class="col-1">
                        <button type="button" @click="addOtherMeta('news_videos')" class="btn btn-block btn-success btn-elevate">
                            <span class="la la-plus"></span>
                        </button>
                    </div>
                    <div v-if='index !=0'  class="col-1">
                        <button type="button" @click="deleteOtherMeta('news_videos', index)" class="btn btn-block btn-danger btn-elevate">
                            <span class="la la-trash"></span>
                        </button>
                    </div>
                </div><!-- news_urls -->
            </tab-content><!-- news_urls -->
        </form-wizard>
    </div>
</div>



