<input type="hidden" name="h_title" value="{{ getData($data, 'title') }}">
<input type="hidden" name="h_description" value="{{ getData($data, 'description') }}">
<input type="hidden" name="h_news_urls" value="{{ collect(getData($data, 'news_urls'))->map(function ($model){
    return [
        "url"=>$model['url'],
    ];
  })
 }}">
<input type="hidden" name="h_news_videos" value="{{ collect(getData($data, 'news_videos'))->map(function ($model){
    return [
       "url"=>$model['url'],
    ];
  })
 }}">
<script>
    // convert services into an array
    var vue = new Vue({
        el: '#kt_page_portlet',
        data: {
            fData: {
                title: $('input[name=h_title]').val() == '' ? {} : JSON.parse($('input[name=h_title]').val()),
                description: $('input[name=h_description]').val() == '' ? {} : JSON.parse($('input[name=h_description]').val()),
                news_urls: $('input[name=h_news_urls]').val() != '' ? JSON.parse($('input[name=h_news_urls]').val()) : [],
                news_videos: $('input[name=h_news_videos]').val() != '' ? JSON.parse($('input[name=h_news_videos]').val()) : [],
                image:"{{getData($data,"image")}}",
                @if ($action == 'edit')
                    _method: 'PATCH',
                @endif
            },
            isLoading: false,
            isLoadingGoogle:false,
            validation_errors: [],
            is_required:false
        },
        mounted:function(){
            var wizard = this.$refs.wizard
            wizard.activateAll();
            this.initSettings()
        },
        computed: {
        },
        methods: {
            initSettings (type = '') {

                if(this.fData.news_urls.length==0){
                    this.fData.news_urls.push({
                        url:'',
                    });
                }
                if(this.fData.news_videos.length==0){
                    this.fData.news_videos.push({
                        url:'',
                    });
                }
            },
            addOtherMeta (type) {
                if (type == 'news_urls') {
                    this.fData.news_urls.push({
                        url:'',
                    });
                }
                if (type == 'news_videos') {
                    this.fData.news_videos.push({
                        url:'',
                    });
                }
            },
            deleteOtherMeta (type, index) {
                if (type == 'news_urls') {
                    this.fData.news_urls.splice(index, 1);
                }
                if (type == 'news_videos') {
                    this.fData.news_videos.splice(index, 1);
                }
            },
            send (status = '') {
                this.$validator.validateAll().then((result) => {
                    if (result) {
                        this.isLoading = true;
                        $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand kt-spinner kt-spinner--right kt-spinner--sm kt-spinner--light").attr("disabled", this.isLoading);
                        self = this;
                        var image = new Promise(function (resolve, reject) {
                            if ($("#image")[0].files.length > 0) {
                                image = [];
                                image.push($("#image")[0].files[0]);
                                Helpers.uploadeFile(image,
                                    'news',
                                    self.UploadeRoute
                                ).then(images => {
                                        self.fData.image = images[0];
                                        resolve();
                                    }
                                ).catch(err => {
                                    this.validation_errors = $validation_errors;
                                    this.isLoading = false;
                                    resolve();
                                })
                                //items_keys.push("logo");
                            }
                            else{
                                resolve();
                            }

                        });
                        Promise.all([image])
                            .then(function (result) {
                                self.submitForm(status);
                            });

                    }
                });
            },
            submitForm (status) {
                this.Save(status)
            },
            Save(status){
                axios.post('{{ $submitUrl }}', this.fData).then((res) => {
                    if (res.data.success) {
                        swal.fire("{{ __('main.success') }}", "{{ __('main.' . ($action == 'create' ? 'added-message' : 'updated-message')) }}", "success");

                        if (status == '') {
                            var url = '{{ route("admin.news.show", ":id") }}';
                            url = url.replace(':id', res.data.payload.id);
                            setTimeout(() => {
                                window.location = url;
                            }, 1000)

                        } else if (status == "continue") {
                            setTimeout(() => {
                                window.location = "{{ route("admin.news.create") }}";
                            }, 1000)

                        } else {
                            setTimeout(() => {
                                window.location = "{{ route("admin.news.index") }}";
                            }, 1000)
                        }
                    }
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                }).catch(error => {
                    this.validation_errors = Helpers.appendValidationErrors(error.response.data, this);
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                });
            }
        },
    });
</script>
