@extends('backend.layout.app')

@section('sub_header')
    @component('backend.layout.components.sub-header')

        @slot('title')
            {{  $title }}
        @endslot
        <a href="#" class="kt-subheader__breadcrumbs-home"><i class="flaticon2-shelter"></i></a>
        <span class="kt-subheader__breadcrumbs-separator"></span>
        <a href="{{ route('admin.operations.index') }}" class="kt-subheader__breadcrumbs-link">
            {{ __('main.operations') }}
        </a>
        @slot('toolbar')
            <li class="kt-nav__item">
                <a href="{{ route('admin.operations.edit', [$show->id]) }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-edit"></i>
                    <span class="kt-nav__link-text">{{ __('main.edit') }} {{ __('main.operation') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.operations.index') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-list-2"></i>
                    <span class="kt-nav__link-text">{{ __('main.show-all') }} {{ __('main.operations') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.operations.create') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-add"></i>
                    <span class="kt-nav__link-text">{{ __('main.add_new') }} {{ __('main.operation') }}</span>
                </a>
            </li>
        @endslot
    @endcomponent
@endsection

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="kt-portlet kt-portlet--mobile">
                <div class="kt-portlet__head">
                    <div class="kt-portlet__head-label">
                        <h3 class="kt-portlet__head-title">
                            {{ $title }}
                        </h3>
                    </div>
                </div>
                <div class="kt-portlet__body">
                    @if($show->patient)
                        <div class="row">
                            <div class="col-md-6">
                                <strong>{{ __('main.name') }} : </strong>
                                <a target="_blank" href="{{route('admin.patients.show',[$show->patient->id])}}">{{ $show->patient?$show->patient->name:"N/A" }}</a>
                                <hr>
                            </div>
                            <div class="col-md-6">
                                <strong>{{ __('main.phone') }} : </strong>
                                {{ $show->patient?$show->patient->phone:"N/A" }}
                                <hr>
                            </div>
                        </div>
                    @endif
                    <div class="row">
                        <div class="col-md-6">
                            <strong>{{ __('main.location') }}: </strong>
                            {{ $show->operation_location?$show->operation_location->name_val:"N/A" }}
                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong>{{ __('main.appointment_date') }}: </strong>
                            {{ $show->operation_date." ".$show->operation_time }}
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <strong>{{ __('main.created_at') }} : </strong>
                            {{ $show->created_at }}
                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong>{{ __('main.updated_at') }} : </strong>
                            {{ $show->updated_at }}
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <strong>{{ __('main.notes') }}: </strong>
                            {!! $show->notes !!}
                            <hr>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
