<?php
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes For Admin Portal
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your Admin Portal. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*
 * Begin All Resources Controllers
 */
Route::group(['middleware'=>['admin_area']],function (){
    Route::resource('clinics','Resource\ClinicController');
    Route::resource("operations","Resource\OperationController");
    Route::resource("receptionists","Resource\ReceptionistController");
    Route::resource('patient_types','Resource\PatientTypeController');
    Route::resource("attendance_statuses","Resource\AttendanceStatusController");
    Route::resource('send_notifications',"Resource\SendNotificationController")->only(['create','store']);

});
Route::get('/profile/edit', 'Resource\AdminProfileController@edit')->name('profile.edit');
Route::patch('/profile/update', 'Resource\AdminProfileController@update')->name('profile.update');
//Route::resource('occupations','Resource\OccupationController');
Route::resource('locations','Resource\LocationController');
Route::resource('bookings','Resource\BookingController');
Route::resource("patients","Resource\PatientController");
Route::resource("answer_questions","Resource\AnswerQuestionController");
Route::resource("babies_names","Resource\BabyNameController");
Route::resource("galleries","Resource\GalleryController");
Route::resource("hospital_bag_lists","Resource\HospitalBagListController");
Route::resource('children','Resource\ChildrenController');
Route::resource('reviews','Resource\ReviewController');
Route::resource('news','Resource\NewsController');
Route::resource('enabled_date','Resource\EnableDateController');
Route::resource('operation_locations','Resource\OperationLocationController');
/*
 * End All Resources Controllers
 */

/*
 * Begin Controllers With Aspecfic Funaction As a resource
 */
Route::get('/application_settings/edit', 'Resource\ApplicationSettingsController@edit')->name('application_settings.edit');
Route::patch('/application_settings/update', 'Resource\ApplicationSettingsController@store')->name('application_settings.store');

/*
 * End Controllers With Aspecfic Funaction As a resource
 */


/*
 * Begin All Sigle Action Controllers
 */
Route::get('/dashboard', 'SAC\Dashboard')->name('dashboard');
Route::get('/quick_search', 'SAC\QuickSearch')->name('quick_search');
Route::post("entity/quick_view", "SAC\GetEntityQuickViewById")->name("entity.quick_view");
Route::get("get_all_patient_types","SAC\GetAllPatientTypes")->name('patient_types.all');
Route::get("get_all_clinics","SAC\GetAllClinics")->name('clinics.all');
Route::get("get_all_locations","SAC\GetAllLocations")->name('locations.all');
Route::get("get_all_occupations","SAC\GetAllOccupations")->name('occupations.all');
Route::get("booking_patient_data/{booking_id}","SAC\GetBookingPatientData")->name("booking_patient_data");
Route::get("get_clinic_times/{id}","SAC\GetClinicTime")->name('clinic.time');
Route::get("get_clinic_types/{id}","SAC\GetClinicType")->name('clinic.type');
Route::get("get_clinic_patient_type_price/{clinic_id}/{patient_type_id}","SAC\GetClinicPatientTypePrice")->name('clinic.patient_type.price');
Route::get("get_all_bookings","SAC\GetAllBookings")->name('bookings.all');
Route::get("get_all_patients","SAC\GetAllPatients")->name('patients.all');
Route::get("get_all_attendance_statuses","SAC\GetAllAttendanceStatus")->name("attendance_statuses.all");
Route::get('/users_all', 'SAC\GetAllUsers')->name('users.all');
Route::get("get_clinic_appointments_available/{clinic_id}/{day}/{booking_id?}","SAC\GetAvailableClinicTime");
Route::get('/today_bookings', 'SAC\BookingTodayController')->name('today_bookings.index');
Route::get("booking_operations/{booking}","SAC\BookingOperation")->name('booking_operations');
Route::get('/attendance_today_bookings', 'SAC\AttendanceTodayController')->name('attendance_today_bookings.index');
Route::get('/view_to_doctor_today_bookings', 'SAC\ViewToDoctorTodayController')->name('view_to_doctor_today_bookings.index');
Route::get("get_all_operation_locations","SAC\OperationLocationController")->name('operationlocations.all');
Route::get("get_clinic_report","SAC\GetClinicReport")->name('clinic_report.index');
Route::get("get_clinic_report_post","SAC\ClinicReportPost")->name('get.clinic_report.post');

/*
 * End All Sigle Action Controllers
 */


