<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|ImageController.php
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/
Route::post('/images','ImageController@store')->name('uploade.image');
Route::post('/user/register','UserController@store');
Route::post('/user/login','UserController@login');
Route::post('social_media/register','SocialMediaAuthController@store');
Route::post('social_media/login','SocialMediaAuthController@login');
Route::get('/settings','GetAppSetting');
Route::get('/babies_names','GetBabyName');
Route::get('/get_galleries','GetGallery');
Route::get('/get_hospitals_bag_lists','GetHospitalBagList');
Route::get("get_clinics","GetClinics");
Route::get('/get_reviews','GetReviewsController');
Route::get('/get_news','GetNewsController');

Route::group(['middleware'=>'auth:api'],function(){
    Route::get('/user/profile','UserController@profile');
    Route::post('/user/update_profile','UserController@updateProfile');
    Route::post('/user/change_password','UserController@change_password');
    Route::get('/faqs','GetAnswerQuestions');
    Route::get('/get_notifications','GetNotifications');
    Route::get('/get_children','GetChildren');
    Route::post("update_children_kicks","UpdateKicksController");
    Route::get('/get_clinic_by_id/{clinic_id}','GetClinicById');
    Route::get('/get_clinic_available_appointment','GetClinicAvailableAppointment');
    Route::apiResource('booking','BookingController');
    Route::post("mother_notification_dates","MotherNotificationController@store");
    Route::get('/having_reservation','HavingReservation');

});
