
<script>
    var vue = new Vue({
        el: '#kt_page_portlet',
        data: {
            fData: {
                title:'',
                description:'',
                users: [],
                to:'',
                patient_type:'',
                location:'',
                booking_date:'',
            },
            all_users: [],
            allSelected: false,
            search: '',
            type: '',
            isLoading:
                false,
            validation_errors: [],
            sends_to:[
                {
                    id:'patient',
                    text:"<?php echo e(trans('main.patient')); ?>"
                },
                {
                    id:'patient_type',
                    text:"<?php echo e(trans('main.patient_type')); ?>"
                },
                {
                    id:'location',
                    text:"<?php echo e(trans('main.location')); ?>"
                },
                {
                    id:'booking_date',
                    text:"<?php echo e(trans('main.booking_date')); ?>"
                }
            ],
            patient_types:[],
            locations:[],

        },
        mounted() {
            this.initSettings();
        },
        methods: {
            initSettings (type = '') {
                var $url = '<?php echo e(route('admin.users.all')); ?>';

                axios.get($url).then((res) => {
                    this.all_users    = res.data.payload;
                });
            },
            getSendsTo(){
                if(this.fData.to=='patient'){
                    this.fData.location='';
                    this.fData.patient_type='';
                    this.fData.booking_date='';
                }
                if(this.fData.to=='patient_type'){
                    this.fData.location='';
                    this.fData.booking_date='';
                    this.fData.users=[];
                    axios.get('<?php echo e(route('admin.patient_types.all')); ?>').then((res) => {
                        this.patient_types = res.data.payload;
                    });
                }
                if(this.fData.to=='location'){
                    this.fData.patient_type='';
                    this.fData.booking_date='';
                    this.fData.users=[];
                    axios.get('<?php echo e(route('admin.locations.all')); ?>').then((res) => {
                        this.locations = res.data.payload;
                    });
                }
                if(this.fData.to=='booking_date'){
                    this.fData.location='';
                    this.fData.patient_type='';
                    this.fData.users=[];
                }
            },
            selectAll() {
                this.fData.users = [];
                if (!this.allSelected) {
                    for (item in this.all_users) {
                        this.fData.users.push(this.all_users[item].id);
                    }
                }
            },
            select() {
                this.allSelected = false;
            },
            send (status = '') {
                this.$validator.validateAll().then((result) => {
                    if (result) {
                        this.submitForm(status);
                    }
                });
            },
            submitForm (status) {
                this.isLoading = true;
                $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand kt-spinner kt-spinner--right kt-spinner--sm kt-spinner--light").attr("disabled", this.isLoading);

                axios.post('<?php echo e($submitUrl); ?>', this.fData).then((res) => {
                    if (res.data.success) {
                        swal.fire("<?php echo e(__('main.success')); ?>", "<?php echo e(__('main.' . ($action == 'create' ? 'notification_sent_successfully' : 'updated-message'))); ?>", "success");
                        setTimeout(() => {
                            window.location = "<?php echo e(route("admin.send_notifications.create")); ?>";
                        }, 1000)
                    }
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                }).catch(error => {
                    this.validation_errors = Helpers.appendValidationErrors(error.response.data, this);
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                });
            }
        },
        computed: {
            filteredList() {
                return this.all_users.filter(role => {
                    return role.text.toLowerCase().includes(this.search.toLowerCase())
                })
            },
        }
    });
</script>
<?php /**PATH /home/drmarzouk/public_html/clinic/releases/20220719061117/resources/views/backend/send_notifications/_partials/_scripts.blade.php ENDPATH**/ ?>