<script>
    // convert services into an array
    var vue = new Vue({
        el: '#kt_page_portlet',
        data: {
            fData: {
                name: '<?php echo e(getData($data, 'name')); ?>',
                phone: '<?php echo e(getData($data, 'phone')); ?>',
                secondary_phone: '<?php echo e(getData($data, 'secondary_phone')); ?>',
                status: '<?php echo e(getData($data, 'status')); ?>',
                location_id: '<?php echo e(getData($data, 'location_id')); ?>',
                agent_id: '<?php echo e(getData($data, 'location_id')??auth()->user()->id); ?>',
                clinic_id:'<?php echo e(getData($data,'clinic_id')); ?>',
                comments: '<?php echo e(getData($data, 'comments')); ?>',
                appointment_day: '<?php echo e(getData($data, 'appointment_day')); ?>',
                appointment_time: '<?php echo e(getData($data, 'appointment_time')); ?>',
                appointment_date:'<?php echo e(getData($data,'appointment_date')); ?>',
                patient_type_id:'<?php echo e(getData($data,'patient_type_id')); ?>',
                patient_id:'<?php echo e(getData($data, 'patient_id')); ?>',
                price:'<?php echo e(getData($data, 'price')); ?>',
                new_price:'<?php echo e(getData($data, 'new_price')); ?>',
                attendance_status_id:'<?php echo e(getData($data,'attendance_status_id')); ?>',
                attendance:'<?php echo e(getData($data, 'attendance')); ?>'==1?true:false,
                discount_added:'<?php echo e(getData($data, 'discount_added')); ?>'==1?true:false,
                booking_before:false,
                occupation_id:"",
                <?php if($action == 'edit'): ?>
                    _method: 'PATCH',
                <?php endif; ?>
            },
            locations:[],
            clinics:[],
            days:[],
            times:[],
            patient_types:[],
            attendance_statuses:[],
            patients:[],
            isLoading: false,
            isLoadingGoogle:false,
            validation_errors: [],
            is_required:false
        },
        mounted:function(){
            this.initSettings()
        },
        methods: {
            initSettings (type = '') {
                <?php if($action == 'edit'): ?>
                    this.fData.booking_before=true;
                <?php endif; ?>
                axios.get('<?php echo e(route('admin.locations.all')); ?>').then((res) => {
                    this.locations = res.data.payload;
                });
                axios.get('<?php echo e(route('admin.clinics.all')); ?>').then((res) => {
                    this.clinics = res.data.payload;
                });
                axios.get('<?php echo e(route('admin.attendance_statuses.all')); ?>').then((res) => {
                    this.attendance_statuses = res.data.payload;
                });
                axios.get('<?php echo e(route('admin.patients.all')); ?>').then((res) => {
                    this.patients = res.data.payload;
                });
                if(this.fData.clinic_id){
                    //this.getClinicsTime();
                    //console.log("fhfhhf")
                    this.getClinicPatientTypes();
                }
                if(this.fData.appointment_day){
                    //this.getAppointmentAvailable();
                }
            },
            
            getClinicPatientTypes(){
                let clinic_id=this.fData.clinic_id;
                axios.get('<?php echo e(aurl('/get_clinic_types/')); ?>/'+clinic_id).then((res) => {
                    this.patient_types = res.data.payload;
                });

            },
            getPateintTypes(){
                if(this.fData.clinic_id){
                    //this.getClinicsTime();
                    console.log("fhfhhf")
                    this.getClinicPatientTypes();
                }
            },
            getClinicPatientTypePrice(){
                let clinic_id=this.fData.clinic_id;
                let patient_type_id=this.fData.patient_type_id
                axios.get('<?php echo e(aurl('/get_clinic_patient_type_price/')); ?>/'+clinic_id+"/"+patient_type_id).then((res) => {
                    this.fData.price = res.data.payload;
                });
            },
            addNewPrice(){
                this.fData.discount_added=!this.fData.discount_added
                this.fData.new_price='';
            },
            send (status = '') {
                this.$validator.validateAll().then((result) => {
                    if (result) {
                        this.submitForm(status);
                    }
                });
            },
            submitForm (status) {
                this.isLoading = true;
                $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand kt-spinner kt-spinner--right kt-spinner--sm kt-spinner--light").attr("disabled", this.isLoading);
                this.Save(status)
            },
            Save(status){

                axios.post('<?php echo e($submitUrl); ?>', this.fData).then((res) => {

                    if (res.data.success) {
                        swal.fire("<?php echo e(__('main.success')); ?>", "<?php echo e(__('main.' . ($action == 'create' ? 'added-message' : 'updated-message'))); ?>", "success");

                        if (status == '') {
                            var url = '<?php echo e(route("admin.bookings.show", ":id")); ?>';
                            url = url.replace(':id', res.data.payload.id);
                            setTimeout(() => {
                                window.location = url;
                            }, 1000)
                        } else if (status == "continue") {
                            setTimeout(() => {
                                window.location = "<?php echo e(route("admin.bookings.create")); ?>";
                            }, 1000)
                        } else {
                            setTimeout(() => {
                                window.location = "<?php echo e(route("admin.bookings.index")); ?>";
                            }, 1000)
                        }
                    }
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                }).catch(error => {
                    if(error.response.data["payload"] == "main.client_already_exist"){
                        swal.fire("Patient already exist", "Please enable ( Booking Before ) and select patient", "error");
                    }else if(error.response.data["payload"] == "main.have_future_appointments"){
                        swal.fire("Patient have future appointment", "This patient already have an appointment on the future", "error");
                    }else{
                        swal.fire("Error occurred", error.response.data["payload"], "error");
                    }

                    this.validation_errors = Helpers.appendValidationErrors(error.response.data, this);
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                });
            }
        },
    });
</script>
<?php /**PATH /Users/mohamedselimrefaat/Documents/DevProjects/Laravel/marzouk-backend/resources/views/backend/bookings/_partials/_scripts.blade.php ENDPATH**/ ?>